Bug 1493375 - SELinux is preventing snap from 'getattr' accesses on the file /etc/passwd.
Summary: SELinux is preventing snap from 'getattr' accesses on the file /etc/passwd.
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:94cc6b94621ece09d7a368a0057...
: 1493378 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-20 04:56 UTC by Jonathon Poppleton
Modified: 2018-05-29 12:07 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:07:04 UTC
Type: ---


Attachments (Terms of Use)

Description Jonathon Poppleton 2017-09-20 04:56:32 UTC
Description of problem:
SELinux is preventing snap from 'getattr' accesses on the file /etc/passwd.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that snap should be allowed getattr access on the passwd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'snap' --raw | audit2allow -M my-snap
# semodule -X 300 -i my-snap.pp

Additional Information:
Source Context                system_u:system_r:snappy_t:s0
Target Context                system_u:object_r:passwd_file_t:s0
Target Objects                /etc/passwd [ file ]
Source                        snap
Source Path                   snap
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           setup-2.10.5-2.fc26.noarch
Policy RPM                    selinux-policy-3.13.1-260.8.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.12.13-300.fc26.x86_64 #1 SMP Thu
                              Sep 14 16:00:38 UTC 2017 x86_64 x86_64
Alert Count                   2
First Seen                    2017-09-20 04:54:55 AEST
Last Seen                     2017-09-20 04:54:59 AEST
Local ID                      ef18f7d3-1ec1-484a-9a30-ac7c4afb9e7c

Raw Audit Messages
type=AVC msg=audit(1505847299.567:278): avc:  denied  { getattr } for  pid=2820 comm="php-fpm" path="/etc/passwd" dev="sda4" ino=401858 scontext=system_u:system_r:snappy_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file permissive=1


Hash: snap,snappy_t,passwd_file_t,file,getattr

Version-Release number of selected component:
selinux-policy-3.13.1-260.8.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.13-300.fc26.x86_64
type:           libreport

Comment 1 Jonathon Poppleton 2017-09-20 05:21:01 UTC
*** Bug 1493378 has been marked as a duplicate of this bug. ***

Comment 2 Fedora End Of Life 2018-05-03 08:45:39 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-05-29 12:07:04 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.